]>
Commit | Line | Data |
---|---|---|
e91b9f68 A |
1 | # Makefile.in generated by automake 1.6.3 from Makefile.am. |
2 | # @configure_input@ | |
3 | ||
4 | # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002 | |
5 | # Free Software Foundation, Inc. | |
6 | # This Makefile.in is free software; the Free Software Foundation | |
7 | # gives unlimited permission to copy and/or distribute it, | |
8 | # with or without modifications, as long as this notice is preserved. | |
9 | ||
10 | # This program is distributed in the hope that it will be useful, | |
11 | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |
12 | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |
13 | # PARTICULAR PURPOSE. | |
14 | ||
15 | @SET_MAKE@ | |
16 | SHELL = @SHELL@ | |
17 | ||
18 | srcdir = @srcdir@ | |
19 | top_srcdir = @top_srcdir@ | |
20 | VPATH = @srcdir@ | |
21 | prefix = @prefix@ | |
22 | exec_prefix = @exec_prefix@ | |
23 | ||
24 | bindir = @bindir@ | |
25 | sbindir = @sbindir@ | |
26 | libexecdir = @libexecdir@ | |
27 | datadir = @datadir@ | |
28 | sysconfdir = @sysconfdir@ | |
29 | sharedstatedir = @sharedstatedir@ | |
30 | localstatedir = @localstatedir@ | |
31 | libdir = @libdir@ | |
32 | infodir = @infodir@ | |
33 | mandir = @mandir@ | |
34 | includedir = @includedir@ | |
35 | oldincludedir = /usr/include | |
36 | pkgdatadir = $(datadir)/@PACKAGE@ | |
37 | pkglibdir = $(libdir)/@PACKAGE@ | |
38 | pkgincludedir = $(includedir)/@PACKAGE@ | |
39 | top_builddir = . | |
40 | ||
41 | ACLOCAL = @ACLOCAL@ | |
42 | AUTOCONF = @AUTOCONF@ | |
43 | AUTOMAKE = @AUTOMAKE@ | |
44 | AUTOHEADER = @AUTOHEADER@ | |
45 | ||
46 | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | |
47 | INSTALL = @INSTALL@ | |
48 | INSTALL_PROGRAM = @INSTALL_PROGRAM@ | |
49 | INSTALL_DATA = @INSTALL_DATA@ | |
50 | install_sh_DATA = $(install_sh) -c -m 644 | |
51 | install_sh_PROGRAM = $(install_sh) -c | |
52 | install_sh_SCRIPT = $(install_sh) -c | |
53 | INSTALL_SCRIPT = @INSTALL_SCRIPT@ | |
54 | INSTALL_HEADER = $(INSTALL_DATA) | |
55 | transform = @program_transform_name@ | |
56 | NORMAL_INSTALL = : | |
57 | PRE_INSTALL = : | |
58 | POST_INSTALL = : | |
59 | NORMAL_UNINSTALL = : | |
60 | PRE_UNINSTALL = : | |
61 | POST_UNINSTALL = : | |
62 | ||
63 | EXEEXT = @EXEEXT@ | |
64 | OBJEXT = @OBJEXT@ | |
65 | PATH_SEPARATOR = @PATH_SEPARATOR@ | |
66 | AMTAR = @AMTAR@ | |
67 | AWK = @AWK@ | |
68 | CC = @CC@ | |
69 | DEPDIR = @DEPDIR@ | |
70 | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | |
71 | PACKAGE = @PACKAGE@ | |
72 | RANLIB = @RANLIB@ | |
73 | STRIP = @STRIP@ | |
74 | VERSION = @VERSION@ | |
75 | am__include = @am__include@ | |
76 | am__quote = @am__quote@ | |
77 | install_sh = @install_sh@ | |
78 | SUBDIRS = src | |
79 | subdir = . | |
80 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |
81 | mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs | |
82 | CONFIG_HEADER = $(top_builddir)/src/config.h | |
83 | CONFIG_CLEAN_FILES = | |
84 | DIST_SOURCES = | |
85 | ||
86 | RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \ | |
87 | uninstall-info-recursive all-recursive install-data-recursive \ | |
88 | install-exec-recursive installdirs-recursive install-recursive \ | |
89 | uninstall-recursive check-recursive installcheck-recursive | |
90 | DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \ | |
91 | Makefile.in NEWS TODO aclocal.m4 compile configure configure.ac \ | |
92 | depcomp install-sh missing mkinstalldirs | |
93 | DIST_SUBDIRS = $(SUBDIRS) | |
94 | all: all-recursive | |
95 | ||
96 | .SUFFIXES: | |
97 | ||
98 | am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ | |
99 | configure.lineno | |
100 | $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) | |
101 | cd $(top_srcdir) && \ | |
102 | $(AUTOMAKE) --gnu Makefile | |
103 | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | |
104 | cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe) | |
105 | ||
106 | $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) | |
107 | $(SHELL) ./config.status --recheck | |
108 | $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES) | |
109 | cd $(srcdir) && $(AUTOCONF) | |
110 | ||
111 | $(ACLOCAL_M4): configure.ac | |
112 | cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) | |
113 | uninstall-info-am: | |
114 | ||
115 | # This directory's subdirectories are mostly independent; you can cd | |
116 | # into them and run `make' without going through this Makefile. | |
117 | # To change the values of `make' variables: instead of editing Makefiles, | |
118 | # (1) if the variable is set in `config.status', edit `config.status' | |
119 | # (which will cause the Makefiles to be regenerated when you run `make'); | |
120 | # (2) otherwise, pass the desired values on the `make' command line. | |
121 | $(RECURSIVE_TARGETS): | |
122 | @set fnord $$MAKEFLAGS; amf=$$2; \ | |
123 | dot_seen=no; \ | |
124 | target=`echo $@ | sed s/-recursive//`; \ | |
125 | list='$(SUBDIRS)'; for subdir in $$list; do \ | |
126 | echo "Making $$target in $$subdir"; \ | |
127 | if test "$$subdir" = "."; then \ | |
128 | dot_seen=yes; \ | |
129 | local_target="$$target-am"; \ | |
130 | else \ | |
131 | local_target="$$target"; \ | |
132 | fi; \ | |
133 | (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |
134 | || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \ | |
135 | done; \ | |
136 | if test "$$dot_seen" = "no"; then \ | |
137 | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | |
138 | fi; test -z "$$fail" | |
139 | ||
140 | mostlyclean-recursive clean-recursive distclean-recursive \ | |
141 | maintainer-clean-recursive: | |
142 | @set fnord $$MAKEFLAGS; amf=$$2; \ | |
143 | dot_seen=no; \ | |
144 | case "$@" in \ | |
145 | distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | |
146 | *) list='$(SUBDIRS)' ;; \ | |
147 | esac; \ | |
148 | rev=''; for subdir in $$list; do \ | |
149 | if test "$$subdir" = "."; then :; else \ | |
150 | rev="$$subdir $$rev"; \ | |
151 | fi; \ | |
152 | done; \ | |
153 | rev="$$rev ."; \ | |
154 | target=`echo $@ | sed s/-recursive//`; \ | |
155 | for subdir in $$rev; do \ | |
156 | echo "Making $$target in $$subdir"; \ | |
157 | if test "$$subdir" = "."; then \ | |
158 | local_target="$$target-am"; \ | |
159 | else \ | |
160 | local_target="$$target"; \ | |
161 | fi; \ | |
162 | (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |
163 | || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \ | |
164 | done && test -z "$$fail" | |
165 | tags-recursive: | |
166 | list='$(SUBDIRS)'; for subdir in $$list; do \ | |
167 | test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ | |
168 | done | |
169 | ||
170 | ETAGS = etags | |
171 | ETAGSFLAGS = | |
172 | ||
173 | tags: TAGS | |
174 | ||
175 | ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | |
176 | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | |
177 | unique=`for i in $$list; do \ | |
178 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
179 | done | \ | |
180 | $(AWK) ' { files[$$0] = 1; } \ | |
181 | END { for (i in files) print i; }'`; \ | |
182 | mkid -fID $$unique | |
183 | ||
184 | TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | |
185 | $(TAGS_FILES) $(LISP) | |
186 | tags=; \ | |
187 | here=`pwd`; \ | |
188 | list='$(SUBDIRS)'; for subdir in $$list; do \ | |
189 | if test "$$subdir" = .; then :; else \ | |
190 | test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \ | |
191 | fi; \ | |
192 | done; \ | |
193 | list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | |
194 | unique=`for i in $$list; do \ | |
195 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
196 | done | \ | |
197 | $(AWK) ' { files[$$0] = 1; } \ | |
198 | END { for (i in files) print i; }'`; \ | |
199 | test -z "$(ETAGS_ARGS)$$tags$$unique" \ | |
200 | || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
201 | $$tags $$unique | |
202 | ||
203 | GTAGS: | |
204 | here=`$(am__cd) $(top_builddir) && pwd` \ | |
205 | && cd $(top_srcdir) \ | |
206 | && gtags -i $(GTAGS_ARGS) $$here | |
207 | ||
208 | distclean-tags: | |
209 | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH | |
210 | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |
211 | ||
212 | top_distdir = . | |
213 | distdir = $(PACKAGE)-$(VERSION) | |
214 | ||
215 | am__remove_distdir = \ | |
216 | { test ! -d $(distdir) \ | |
217 | || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \ | |
218 | && rm -fr $(distdir); }; } | |
219 | ||
220 | GZIP_ENV = --best | |
221 | distcleancheck_listfiles = find . -type f -print | |
222 | ||
223 | distdir: $(DISTFILES) | |
224 | $(am__remove_distdir) | |
225 | mkdir $(distdir) | |
226 | @list='$(DISTFILES)'; for file in $$list; do \ | |
227 | if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ | |
228 | dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \ | |
229 | if test "$$dir" != "$$file" && test "$$dir" != "."; then \ | |
230 | dir="/$$dir"; \ | |
231 | $(mkinstalldirs) "$(distdir)$$dir"; \ | |
232 | else \ | |
233 | dir=''; \ | |
234 | fi; \ | |
235 | if test -d $$d/$$file; then \ | |
236 | if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ | |
237 | cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \ | |
238 | fi; \ | |
239 | cp -pR $$d/$$file $(distdir)$$dir || exit 1; \ | |
240 | else \ | |
241 | test -f $(distdir)/$$file \ | |
242 | || cp -p $$d/$$file $(distdir)/$$file \ | |
243 | || exit 1; \ | |
244 | fi; \ | |
245 | done | |
246 | list='$(SUBDIRS)'; for subdir in $$list; do \ | |
247 | if test "$$subdir" = .; then :; else \ | |
248 | test -d $(distdir)/$$subdir \ | |
249 | || mkdir $(distdir)/$$subdir \ | |
250 | || exit 1; \ | |
251 | (cd $$subdir && \ | |
252 | $(MAKE) $(AM_MAKEFLAGS) \ | |
253 | top_distdir="$(top_distdir)" \ | |
254 | distdir=../$(distdir)/$$subdir \ | |
255 | distdir) \ | |
256 | || exit 1; \ | |
257 | fi; \ | |
258 | done | |
259 | -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \ | |
260 | ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ | |
261 | ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ | |
262 | ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \ | |
263 | || chmod -R a+r $(distdir) | |
264 | dist-gzip: distdir | |
265 | $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz | |
266 | $(am__remove_distdir) | |
267 | ||
268 | dist dist-all: distdir | |
269 | $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz | |
270 | $(am__remove_distdir) | |
271 | ||
272 | # This target untars the dist file and tries a VPATH configuration. Then | |
273 | # it guarantees that the distribution is self-contained by making another | |
274 | # tarfile. | |
275 | distcheck: dist | |
276 | $(am__remove_distdir) | |
277 | GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - | |
278 | chmod -R a-w $(distdir); chmod a+w $(distdir) | |
279 | mkdir $(distdir)/=build | |
280 | mkdir $(distdir)/=inst | |
281 | chmod a-w $(distdir) | |
282 | dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \ | |
283 | && cd $(distdir)/=build \ | |
284 | && ../configure --srcdir=.. --prefix=$$dc_install_base \ | |
285 | $(DISTCHECK_CONFIGURE_FLAGS) \ | |
286 | && $(MAKE) $(AM_MAKEFLAGS) \ | |
287 | && $(MAKE) $(AM_MAKEFLAGS) dvi \ | |
288 | && $(MAKE) $(AM_MAKEFLAGS) check \ | |
289 | && $(MAKE) $(AM_MAKEFLAGS) install \ | |
290 | && $(MAKE) $(AM_MAKEFLAGS) installcheck \ | |
291 | && $(MAKE) $(AM_MAKEFLAGS) uninstall \ | |
292 | && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \ | |
293 | || { echo "ERROR: files left after uninstall:" ; \ | |
294 | find $$dc_install_base -type f -print ; \ | |
295 | exit 1; } >&2 ) \ | |
296 | && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \ | |
297 | && rm -f $(distdir).tar.gz \ | |
298 | && $(MAKE) $(AM_MAKEFLAGS) distcleancheck | |
299 | $(am__remove_distdir) | |
300 | @echo "$(distdir).tar.gz is ready for distribution" | \ | |
301 | sed 'h;s/./=/g;p;x;p;x' | |
302 | distcleancheck: distclean | |
303 | if test '$(srcdir)' = . ; then \ | |
304 | echo "ERROR: distcleancheck can only run from a VPATH build" ; \ | |
305 | exit 1 ; \ | |
306 | fi | |
307 | test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ | |
308 | || { echo "ERROR: files left after distclean:" ; \ | |
309 | $(distcleancheck_listfiles) ; \ | |
310 | exit 1; } >&2 | |
311 | check-am: all-am | |
312 | check: check-recursive | |
313 | all-am: Makefile | |
314 | installdirs: installdirs-recursive | |
315 | installdirs-am: | |
316 | ||
317 | install: install-recursive | |
318 | install-exec: install-exec-recursive | |
319 | install-data: install-data-recursive | |
320 | uninstall: uninstall-recursive | |
321 | ||
322 | install-am: all-am | |
323 | @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | |
324 | ||
325 | installcheck: installcheck-recursive | |
326 | install-strip: | |
327 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | |
328 | INSTALL_STRIP_FLAG=-s \ | |
329 | `test -z '$(STRIP)' || \ | |
330 | echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install | |
331 | mostlyclean-generic: | |
332 | ||
333 | clean-generic: | |
334 | ||
335 | distclean-generic: | |
336 | -rm -f Makefile $(CONFIG_CLEAN_FILES) | |
337 | ||
338 | maintainer-clean-generic: | |
339 | @echo "This command is intended for maintainers to use" | |
340 | @echo "it deletes files that may require special tools to rebuild." | |
341 | clean: clean-recursive | |
342 | ||
343 | clean-am: clean-generic mostlyclean-am | |
344 | ||
345 | distclean: distclean-recursive | |
346 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
347 | distclean-am: clean-am distclean-generic distclean-tags | |
348 | ||
349 | dvi: dvi-recursive | |
350 | ||
351 | dvi-am: | |
352 | ||
353 | info: info-recursive | |
354 | ||
355 | info-am: | |
356 | ||
357 | install-data-am: | |
358 | ||
359 | install-exec-am: | |
360 | ||
361 | install-info: install-info-recursive | |
362 | ||
363 | install-man: | |
364 | ||
365 | installcheck-am: | |
366 | ||
367 | maintainer-clean: maintainer-clean-recursive | |
368 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
369 | -rm -rf autom4te.cache | |
370 | maintainer-clean-am: distclean-am maintainer-clean-generic | |
371 | ||
372 | mostlyclean: mostlyclean-recursive | |
373 | ||
374 | mostlyclean-am: mostlyclean-generic | |
375 | ||
376 | uninstall-am: uninstall-info-am | |
377 | ||
378 | uninstall-info: uninstall-info-recursive | |
379 | ||
380 | .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \ | |
381 | clean-generic clean-recursive dist dist-all dist-gzip distcheck \ | |
382 | distclean distclean-generic distclean-recursive distclean-tags \ | |
383 | distcleancheck distdir dvi dvi-am dvi-recursive info info-am \ | |
384 | info-recursive install install-am install-data install-data-am \ | |
385 | install-data-recursive install-exec install-exec-am \ | |
386 | install-exec-recursive install-info install-info-am \ | |
387 | install-info-recursive install-man install-recursive \ | |
388 | install-strip installcheck installcheck-am installdirs \ | |
389 | installdirs-am installdirs-recursive maintainer-clean \ | |
390 | maintainer-clean-generic maintainer-clean-recursive mostlyclean \ | |
391 | mostlyclean-generic mostlyclean-recursive tags tags-recursive \ | |
392 | uninstall uninstall-am uninstall-info-am \ | |
393 | uninstall-info-recursive uninstall-recursive | |
394 | ||
395 | # Tell versions [3.59,3.63) of GNU make to not export all variables. | |
396 | # Otherwise a system limit (for SysV at least) may be exceeded. | |
397 | .NOEXPORT: |